What has arrived at the deposit address
GET
/deposits/balance/{paymentId}
const url = 'https://hub.stablezact.com/api/v1/deposits/balance/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-Public-Key': '<X-Public-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://hub.stablezact.com/api/v1/deposits/balance/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-Public-Key: <X-Public-Key>'Reads the address on chain rather than from our records, so it reflects funds that have arrived but not yet been credited.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”paymentId
required
string format: uuid
Responses
Section titled “Responses”The balance.
Media typeapplication/json
object
success
boolean
paymentId
string format: uuid
depositAddress
string
balance
Human-readable
string
balanceRaw
Smallest units
string
decimals
integer
token
string
expectedAmount
string
isComplete
boolean
confirmations
integer
requiredConfirmations
integer
status
string
Examplegenerated
{ "success": true, "paymentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "depositAddress": "example", "balance": "example", "balanceRaw": "example", "decimals": 1, "token": "example", "expectedAmount": "example", "isComplete": true, "confirmations": 1, "requiredConfirmations": 1, "status": "example"}Missing or invalid credentials.
Media typeapplication/json
object
success
boolean
error
required
Short machine-ish reason.
string
message
Longer explanation, when there is one.
string
Example
{ "error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."}